petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFactorInfoInitialize

Initializes a MatFactorInfo data structure with default values.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorInfoInitialize(MatFactorInfo *info)

Not Collective

### Input Parameters

info -the MatFactorInfo data structure

### Notes

The solvers are generally used through the KSP and PC objects, for example PCLU, PCILU, PCCHOLESKY, PCICC

### See Also

MatFactorInfo

Developer Note: fortran interface is not autogenerated as the f90 interface defintion cannot be generated correctly [due to MatFactorInfo]

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages